Package be.vlaanderen.mercurius.vsb.schemas.v1

# Class AddressType

java.lang.Object
be.vlaanderen.mercurius.vsb.schemas.v1.AddressType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ResidenceType`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class AddressType extends Object implements Serializable
used: ResidenceType

Java class for AddressType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AddressType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="StreetName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="HouseNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Box" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="ZIPCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="CityName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Country" type="{http://www.mercurius.vlaanderen.be/vsb/schemas/v1}CountryNisCodeType"/>
             <element name="CountryName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="AddressString" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="InsCode" type="{http://www.mercurius.vlaanderen.be/vsb/schemas/v1}MunicipalityNisCodeType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddressType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAddressString()`
  <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.mercurius.vlaanderen.be/vsb/schemas/v1" xmlns:xs="http://www.w3.org/2001/XMLSchema">Als er geen gestructureerd adres is in het RR, kan men een adres doorkrijgen als één lange ongeformatteerde string</p>
  `String`
  `getBox()`
  <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.mercurius.vlaanderen.be/vsb/schemas/v1" xmlns:xs="http://www.w3.org/2001/XMLSchema">Busnummer</p>
  `String`
  `getCityName()`
  <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.mercurius.vlaanderen.be/vsb/schemas/v1" xmlns:xs="http://www.w3.org/2001/XMLSchema">Gemeentenaam</p>
  `int`
  `getCountry()`
  <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.mercurius.vlaanderen.be/vsb/schemas/v1" xmlns:xs="http://www.w3.org/2001/XMLSchema">NIS-code van het land</p>
  `String`
  `getCountryName()`
  <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.mercurius.vlaanderen.be/vsb/schemas/v1" xmlns:xs="http://www.w3.org/2001/XMLSchema">Land</p>
  `String`
  `getHouseNumber()`
  <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.mercurius.vlaanderen.be/vsb/schemas/v1" xmlns:xs="http://www.w3.org/2001/XMLSchema">Huisnummer</p>
  `Integer`
  `getInsCode()`
  <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.mercurius.vlaanderen.be/vsb/schemas/v1" xmlns:xs="http://www.w3.org/2001/XMLSchema">NIS-code van de gemeente</p>
  `String`
  `getStreetName()`
  <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.mercurius.vlaanderen.be/vsb/schemas/v1" xmlns:xs="http://www.w3.org/2001/XMLSchema">Straatnaam</p>
  `String`
  `getZIPCode()`
  <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.mercurius.vlaanderen.be/vsb/schemas/v1" xmlns:xs="http://www.w3.org/2001/XMLSchema">Postcode</p>
  `void`
  `setAddressString(String value)`
  Sets the value of the addressString property.
  `void`
  `setBox(String value)`
  Sets the value of the box property.
  `void`
  `setCityName(String value)`
  Sets the value of the cityName property.
  `void`
  `setCountry(int value)`
  Sets the value of the country property.
  `void`
  `setCountryName(String value)`
  Sets the value of the countryName property.
  `void`
  `setHouseNumber(String value)`
  Sets the value of the houseNumber property.
  `void`
  `setInsCode(Integer value)`
  Sets the value of the insCode property.
  `void`
  `setStreetName(String value)`
  Sets the value of the streetName property.
  `void`
  `setZIPCode(String value)`
  Sets the value of the zipCode property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AddressType

    public AddressType()

- ## Method Details

  - ### getStreetName

    public String getStreetName()

         <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.mercurius.vlaanderen.be/vsb/schemas/v1" xmlns:xs="http://www.w3.org/2001/XMLSchema">Straatnaam</p>

    Returns:
      possible object is `String`

  - ### setStreetName

    public void setStreetName(String value)
    Sets the value of the streetName property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getStreetName()`

  - ### getHouseNumber

    public String getHouseNumber()

         <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.mercurius.vlaanderen.be/vsb/schemas/v1" xmlns:xs="http://www.w3.org/2001/XMLSchema">Huisnummer</p>

    Returns:
      possible object is `String`

  - ### setHouseNumber

    public void setHouseNumber(String value)
    Sets the value of the houseNumber property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getHouseNumber()`

  - ### getBox

    public String getBox()

         <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.mercurius.vlaanderen.be/vsb/schemas/v1" xmlns:xs="http://www.w3.org/2001/XMLSchema">Busnummer</p>

    Returns:
      possible object is `String`

  - ### setBox

    public void setBox(String value)
    Sets the value of the box property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getBox()`

  - ### getZIPCode

    public String getZIPCode()

         <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.mercurius.vlaanderen.be/vsb/schemas/v1" xmlns:xs="http://www.w3.org/2001/XMLSchema">Postcode</p>

    Returns:
      possible object is `String`

  - ### setZIPCode

    public void setZIPCode(String value)
    Sets the value of the zipCode property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getZIPCode()`

  - ### getCityName

    public String getCityName()

         <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.mercurius.vlaanderen.be/vsb/schemas/v1" xmlns:xs="http://www.w3.org/2001/XMLSchema">Gemeentenaam</p>

    Returns:
      possible object is `String`

  - ### setCityName

    public void setCityName(String value)
    Sets the value of the cityName property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCityName()`

  - ### getCountry

    public int getCountry()

         <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.mercurius.vlaanderen.be/vsb/schemas/v1" xmlns:xs="http://www.w3.org/2001/XMLSchema">NIS-code van het land</p>

  - ### setCountry

    public void setCountry(int value)
    Sets the value of the country property.

  - ### getCountryName

    public String getCountryName()

         <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.mercurius.vlaanderen.be/vsb/schemas/v1" xmlns:xs="http://www.w3.org/2001/XMLSchema">Land</p>

         <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.mercurius.vlaanderen.be/vsb/schemas/v1" xmlns:xs="http://www.w3.org/2001/XMLSchema">Optioneel aangezien dit veld niet wordt opgevuld door LB</p>

    Returns:
      possible object is `String`

  - ### setCountryName

    public void setCountryName(String value)
    Sets the value of the countryName property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCountryName()`

  - ### getAddressString

    public String getAddressString()

         <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.mercurius.vlaanderen.be/vsb/schemas/v1" xmlns:xs="http://www.w3.org/2001/XMLSchema">Als er geen gestructureerd adres is in het RR, kan men een
                                                                adres doorkrijgen als één lange ongeformatteerde string</p>

    Returns:
      possible object is `String`

  - ### setAddressString

    public void setAddressString(String value)
    Sets the value of the addressString property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getAddressString()`

  - ### getInsCode

    public Integer getInsCode()

         <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.mercurius.vlaanderen.be/vsb/schemas/v1" xmlns:xs="http://www.w3.org/2001/XMLSchema">NIS-code van de gemeente</p>

    Returns:
      possible object is `Integer`

  - ### setInsCode

    public void setInsCode(Integer value)
    Sets the value of the insCode property.
    Parameters:
      `value` - allowed object is `Integer`
    See Also:
      - `getInsCode()`